## Apache Zeta Components Manual :: Docs For Class ezcDocumentConversionException

### Document::ezcDocumentConversionException

### Class ezcDocumentConversionException

Exception thrown, when the RST parser could not parse asome token sequence.

Source for this file: /Document/src/exceptions/conversion.php

    Exception
       |
       --ezcBaseException
          |
          --ezcDocumentException
             |
             --ezcDocumentConversionException

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcDocumentParserException | Exception thrown, when the RST parser could not parse asome token sequence.

### Member Variables

protected string | `$errorString = 'Conversion error'` Error string String describing the general type of this error
protected array | `$levelMapping = array( E_NOTICE => 'Notice', E_WARNING => 'Warning', E_ERROR => 'Error', E_PARSE => 'Fatal error', )` Mapping of error levels to strings
public string | `$parseError` Original exception message

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public void | `__construct( $level , $message , [ $file = null] , [ $line = null] , [ $position = null] , [ $exception = null] )` Construct exception from errnous string and current position

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

void __construct( int $level , string $message , [string $file = null] , [int $line = null] , [int $position = null] , [ $exception = null] )

Construct exception from errnous string and current position

##### Parameters:

Name | Type | Description
--- | --- | ---
`$level` | int |
`$message` | string |
`$file` | string |
`$line` | int |
`$position` | int |
`$exception` | Exception |

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3